Ice Reference Documentation
<<< Previous | Properties | Next >>>

# IceBox Properties

## IceBox.InstanceName

### Synopsis

    IceBox.InstanceName=name

### Description

Specifies an alternate identity category for the IceBox service manager object. If defined, the identity of the object becomes `name``/ServiceManager`. If not specified, the default identity category is `IceBox`.

## IceBox.ServiceManager.AdapterId

### Synopsis

    IceBox.ServiceManager.AdapterId=id

### Description

Defines the value of the property `adapter`.AdapterId for the object adapter named `IceBox.ServiceManager`.

## IceBox.ServiceManager.ReplicaGroupId

### Synopsis

    IceBox.ServiceManager.ReplicaGroupId=id

### Description

Defines the value of the property `adapter`.ReplicaGroupId for the object adapter named `IceBox.ServiceManager`.

## IceBox.ServiceManager.Endpoints

### Synopsis

    IceBox.ServiceManager.Endpoints=endpoints

### Description

Defines the endpoints of the IceBox service manager interface. The service manager endpoints must be accessible to the IceBox administration tool to shutdown the IceBox server.

## IceBox.ServiceManager.PublishedEndpoints

### Synopsis

    IceBox.ServiceManager.PublishedEndpoints=endpoints

### Description

Defines the published endpoints of the IceBox service manager interface. The service manager endpoints must be accessible to the IceBox administration tool to shutdown the IceBox server. Refer to the description of the object adapter property `adapter`.PublishedEndpoints for more information.

## IceBox.ServiceManager.Identity

### Synopsis

    IceBox.ServiceManager.Identity=identity

### Description

The identity of the service manager interface. If not specified the default value `ServiceManager` is used.

| This property is deprecated and supported only for backward-compatibility. New applications should use IceBox.InstanceName.

## IceBox.ServiceManager.RegisterProcess

### Synopsis

    IceBox.ServiceManager.RegisterProcess=num

### Description

Defines the value of the property `adapter`.RegisterProcess for the object adapter named `IceBox.ServiceManager`.

## IceBox.ServiceManager.ThreadPool.Size

### Synopsis

    IceBox.ServiceManager.ThreadPool.Size=num

### Description

Defines the value of the property `adapter`.ThreadPool.Size for the object adapter named `IceBox.ServiceManager`.

## IceBox.ServiceManager.ThreadPool.SizeMax

### Synopsis

    IceBox.ServiceManager.ThreadPool.SizeMax=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeMax for the object adapter named `IceBox.ServiceManager`.

## IceBox.ServiceManager.ThreadPool.SizeWarn

### Synopsis

    IceBox.ServiceManager.ThreadPool.SizeWarn=num

### Description

Defines the value of the property `adapter`.ThreadPool.SizeWarn for the object adapter named `IceBox.ServiceManager`.

## IceBox.LoadOrder

### Synopsis

    IceBox.LoadOrder=names

### Description

Determines the order in which services are loaded. The service manager loads the services in the order they appear in `names`, where each service name is separated by a comma or whitespace. Any services not mentioned in `names` are loaded afterward, in an undefined order.

## IceBox.PrintServicesReady

### Synopsis

    IceBox.PrintServicesReady=token

### Description

If this property is set to a value greater than zero, the service manager prints "`token` ready" on standard output once initialization of all the services is complete. This is useful for scripts that wish to wait until all services are ready to be used.

## IceBox.Service.`name`

### Synopsis

    IceBox.Service.name=entry_point [args]

### Description

Defines a service to be loaded during IceBox initialization.

In C++, `entry_point` has the form `library:symbol`. The `library` component is the name of a shared library or DLL. The `symbol` component is the name of a factory function used to create the service.

In Java, `entry_point` is the name of the service implementation class.

## IceBox.UseSharedCommunicator.`name`

### Synopsis

    IceBox.UseSharedCommunicator.name=num

### Description

If `num` is set to a value larger than zero, the service manager supplies the service with the name `name` of a communicator that might be shared by other services.

<<< Previous | Home | Next >>>
IceSSL Properties | Up | IceGrid Properties